package mvd.jester;

import mvd.jester.model.SystemSetup;
import mvd.jester.tests.MaiaBertogna;
import mvd.jester.tests.SchmidMottok;
import mvd.jester.tests.TestEnvironment;

/**
 * Hello world!
 *
 */
public class App {
    public static void main(String[] args) {
        SystemSetup.Builder generator = new SystemSetup.Builder().setNumberOfProcessors(4);

        TestEnvironment te = new TestEnvironment(generator, 10000);

        te.registerTestInterface(SchmidMottok.class);
        te.registerTestInterface(MaiaBertogna.class);

        te.runTests();

    }
}
